Package com.omnisci.thrift.server

## Class TTypeInfo

- java.lang.Object
- - com.omnisci.thrift.server.TTypeInfo

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TTypeInfo>`, `org.apache.thrift.TBase<TTypeInfo,​TTypeInfo._Fields>`, `org.apache.thrift.TSerializable`

    public class TTypeInfo
    extends Object
    implements org.apache.thrift.TBase<TTypeInfo,​TTypeInfo._Fields>, Serializable, Cloneable, Comparable<TTypeInfo>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TTypeInfo._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`int` `comp_param`
`TEncodingType` `encoding`
`boolean` `is_array`
`static Map<TTypeInfo._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`boolean` `nullable`
`int` `precision`
`int` `scale`
`int` `size`
`TDatumType` `type`

### Constructor Summary

Constructors
`TTypeInfo()`
`TTypeInfo​(TDatumType type, TEncodingType encoding, boolean nullable, boolean is_array, int precision, int scale, int comp_param)`
`TTypeInfo​(TTypeInfo other)` Performs a deep copy on other.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`int` `compareTo​(TTypeInfo other)`
`TTypeInfo` `deepCopy()`
`boolean` `equals​(TTypeInfo that)`
`boolean` `equals​(Object that)`
`TTypeInfo._Fields` `fieldForId​(int fieldId)`
`int` `getComp_param()`
`TEncodingType` `getEncoding()`
`Object` `getFieldValue​(TTypeInfo._Fields field)`
`int` `getPrecision()`
`int` `getScale()`
`int` `getSize()`
`TDatumType` `getType()`
`int` `hashCode()`
`boolean` `isIs_array()`
`boolean` `isNullable()`
`boolean` `isSet​(TTypeInfo._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetComp_param()` Returns true if field comp_param is set (has been assigned a value) and false otherwise
`boolean` `isSetEncoding()` Returns true if field encoding is set (has been assigned a value) and false otherwise
`boolean` `isSetIs_array()` Returns true if field is_array is set (has been assigned a value) and false otherwise
`boolean` `isSetNullable()` Returns true if field nullable is set (has been assigned a value) and false otherwise
`boolean` `isSetPrecision()` Returns true if field precision is set (has been assigned a value) and false otherwise
`boolean` `isSetScale()` Returns true if field scale is set (has been assigned a value) and false otherwise
`boolean` `isSetSize()` Returns true if field size is set (has been assigned a value) and false otherwise
`boolean` `isSetType()` Returns true if field type is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`TTypeInfo` `setComp_param​(int comp_param)`
`void` `setComp_paramIsSet​(boolean value)`
`TTypeInfo` `setEncoding​(TEncodingType encoding)`
`void` `setEncodingIsSet​(boolean value)`
`void` `setFieldValue​(TTypeInfo._Fields field, Object value)`
`TTypeInfo` `setIs_array​(boolean is_array)`
`void` `setIs_arrayIsSet​(boolean value)`
`TTypeInfo` `setNullable​(boolean nullable)`
`void` `setNullableIsSet​(boolean value)`
`TTypeInfo` `setPrecision​(int precision)`
`void` `setPrecisionIsSet​(boolean value)`
`TTypeInfo` `setScale​(int scale)`
`void` `setScaleIsSet​(boolean value)`
`TTypeInfo` `setSize​(int size)`
`void` `setSizeIsSet​(boolean value)`
`TTypeInfo` `setType​(TDatumType type)`
`void` `setTypeIsSet​(boolean value)`
`String` `toString()`
`void` `unsetComp_param()`
`void` `unsetEncoding()`
`void` `unsetIs_array()`
`void` `unsetNullable()`
`void` `unsetPrecision()`
`void` `unsetScale()`
`void` `unsetSize()`
`void` `unsetType()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### type

    public TDatumType type

See Also:
  `TDatumType`

#### encoding

    public TEncodingType encoding

See Also:
  `TEncodingType`

#### nullable

    public boolean nullable

#### is_array

    public boolean is_array

#### precision

    public int precision

#### scale

    public int scale

#### comp_param

    public int comp_param

#### size

    public int size

#### metaDataMap

    public static final Map<TTypeInfo._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TTypeInfo

    public TTypeInfo()

#### TTypeInfo

    public TTypeInfo​(TDatumType type,
                     TEncodingType encoding,
                     boolean nullable,
                     boolean is_array,
                     int precision,
                     int scale,
                     int comp_param)

#### TTypeInfo

    public TTypeInfo​(TTypeInfo other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TTypeInfo deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TTypeInfo,​TTypeInfo._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TTypeInfo,​TTypeInfo._Fields>`

#### getType

    public TDatumType getType()

See Also:
  `TDatumType`

#### setType

    public TTypeInfo setType​(TDatumType type)

See Also:
  `TDatumType`

#### unsetType

    public void unsetType()

#### isSetType

    public boolean isSetType()

Returns true if field type is set (has been assigned a value) and false otherwise

#### setTypeIsSet

    public void setTypeIsSet​(boolean value)

#### getEncoding

    public TEncodingType getEncoding()

See Also:
  `TEncodingType`

#### setEncoding

    public TTypeInfo setEncoding​(TEncodingType encoding)

See Also:
  `TEncodingType`

#### unsetEncoding

    public void unsetEncoding()

#### isSetEncoding

    public boolean isSetEncoding()

Returns true if field encoding is set (has been assigned a value) and false otherwise

#### setEncodingIsSet

    public void setEncodingIsSet​(boolean value)

#### isNullable

    public boolean isNullable()

#### setNullable

    public TTypeInfo setNullable​(boolean nullable)

#### unsetNullable

    public void unsetNullable()

#### isSetNullable

    public boolean isSetNullable()

Returns true if field nullable is set (has been assigned a value) and false otherwise

#### setNullableIsSet

    public void setNullableIsSet​(boolean value)

#### isIs_array

    public boolean isIs_array()

#### setIs_array

    public TTypeInfo setIs_array​(boolean is_array)

#### unsetIs_array

    public void unsetIs_array()

#### isSetIs_array

    public boolean isSetIs_array()

Returns true if field is_array is set (has been assigned a value) and false otherwise

#### setIs_arrayIsSet

    public void setIs_arrayIsSet​(boolean value)

#### getPrecision

    public int getPrecision()

#### setPrecision

    public TTypeInfo setPrecision​(int precision)

#### unsetPrecision

    public void unsetPrecision()

#### isSetPrecision

    public boolean isSetPrecision()

Returns true if field precision is set (has been assigned a value) and false otherwise

#### setPrecisionIsSet

    public void setPrecisionIsSet​(boolean value)

#### getScale

    public int getScale()

#### setScale

    public TTypeInfo setScale​(int scale)

#### unsetScale

    public void unsetScale()

#### isSetScale

    public boolean isSetScale()

Returns true if field scale is set (has been assigned a value) and false otherwise

#### setScaleIsSet

    public void setScaleIsSet​(boolean value)

#### getComp_param

    public int getComp_param()

#### setComp_param

    public TTypeInfo setComp_param​(int comp_param)

#### unsetComp_param

    public void unsetComp_param()

#### isSetComp_param

    public boolean isSetComp_param()

Returns true if field comp_param is set (has been assigned a value) and false otherwise

#### setComp_paramIsSet

    public void setComp_paramIsSet​(boolean value)

#### getSize

    public int getSize()

#### setSize

    public TTypeInfo setSize​(int size)

#### unsetSize

    public void unsetSize()

#### isSetSize

    public boolean isSetSize()

Returns true if field size is set (has been assigned a value) and false otherwise

#### setSizeIsSet

    public void setSizeIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TTypeInfo._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TTypeInfo,​TTypeInfo._Fields>`

#### getFieldValue

    public Object getFieldValue​(TTypeInfo._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TTypeInfo,​TTypeInfo._Fields>`

#### isSet

    public boolean isSet​(TTypeInfo._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TTypeInfo,​TTypeInfo._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TTypeInfo that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TTypeInfo other)

Specified by:
  `compareTo` in interface `Comparable<TTypeInfo>`

#### fieldForId

    public TTypeInfo._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TTypeInfo,​TTypeInfo._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`